javax.faces.view.facelets

## Class ValidatorHandler

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.ValidatorHandler

- All Implemented Interfaces:
    AttachedObjectHandler, EditableValueHolderAttachedObjectHandler, FaceletHandler, ValueHolderAttachedObjectHandler

      public class ValidatorHandler
      extends FaceletsAttachedObjectHandler
      implements EditableValueHolderAttachedObjectHandler

  Handles setting a `Validator` instance on an `EditableValueHolder` parent. Will wire all attributes set to the `Validator` instance created/fetched. Uses the "binding" attribute for grabbing instances to apply attributes to.

  Will only set/create Validator is the passed UIComponent's parent is null, signifying that it wasn't restored from an existing tree.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatorHandler(ValidatorConfig config)` Construct this instance around the configuration information in argument `config`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TagHandlerDelegate` | `getTagHandlerDelegate()` Return the implementation specific delegate instance that provides the bulk of the work for this handler instance.
    `ValidatorConfig` | `getValidatorConfig()` Return the `TagConfig` subclass used to configure this handler instance.
    `String` | `getValidatorId(FaceletContext ctx)` Retrieve the id of the validator that is to be created and added to the parent `EditableValueHolder`.

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Constructor Detail

    - #### ValidatorHandler

          public ValidatorHandler(ValidatorConfig config)

      Construct this instance around the configuration information in argument `config`

      Parameters:
        `config` - the `TagConfig` subclass for this kind of attached object.

  - ### Method Detail

    - #### getTagHandlerDelegate

          protected TagHandlerDelegate getTagHandlerDelegate()

      Return the implementation specific delegate instance that provides the bulk of the work for this handler instance.

      Specified by:
        `getTagHandlerDelegate` in class `DelegatingMetaTagHandler`

    - #### getValidatorId

          public String getValidatorId(FaceletContext ctx)

      Retrieve the id of the validator that is to be created and added to the parent `EditableValueHolder`. All subclasses should override this method because it is important for Facelets to have a unique way of identifying the validators that are added to this `EditableValueHolder` and allows exclusions to work properly. An exclusion is a validator declaration that has the attribute "disabled" which resolves to false, instructing Facelets not to register a default validator with the same id.

    - #### getValidatorConfig

          public ValidatorConfig getValidatorConfig()

      Return the `TagConfig` subclass used to configure this handler instance.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.